
QGIS Application - Bug report #13749

Add csv layer: points not created

2015-11-04 01:17 AM - Jeff Moyen

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Data Provider/Delimited Text 

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 21776

Description

[QGIS 2.10.1 / d20c5b7 / Windows 7 64 b]

Good morning,

Since upgrading to 'Pisa', I cannot add delimited text layers.

Specifically (using the attached example):

1) click on "add delimited text layer" 

2) dialog opens, browse to file, fill in the infos (cf. 2nd attachment)

3) the layer does appear in the layer list but (a) no points are created, (b) QGIS does not ask about the CRS, and it is not possible to set it

using right click|set layer CRS; (c) when double-clicking on the layer to go to the properties, the "style" and "labels" tabs are empty (totally

blank).

The CRS issue is reminiscent of #13582, but that may just be me...

Associated revisions

Revision 74396439 - 2015-11-06 10:08 AM - Nyall Dawson

Fix delimited text layers set to unknown geometry type if first row has

null geometry (fix #13749)

Revision 54f13a6d - 2015-11-18 11:01 AM - Nyall Dawson

Fix delimited text layers set to unknown geometry type if first row has

null geometry (fix #13749)

(cherry-picked from 743964393450178289e6717d67cdba04c6206e23)

History

#1 - 2015-11-04 01:33 AM - Jeff Moyen

It's still there in 2.12, bu the way (just noticed the new version and tried !)

#2 - 2015-11-05 11:24 AM - Giovanni Manghi

- Affected QGIS version changed from 2.10.1 to master
- OS version deleted (2.10.1)

- Operating System deleted (windows 7)

- Target version set to Future Release - High Priority

- Priority changed from Normal to Severe/Regression

- Category set to Data Provider/Delimited Text 

Confirmed, the bug appeared on 2.10 and still present on master.

#3 - 2015-11-06 01:14 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"743964393450178289e6717d67cdba04c6206e23".

#4 - 2015-11-26 08:04 AM - Jeff Moyen

Hi,

In fact it is nearly fixed: if the first line of the file (after headers) happens to have missing values for X and Y, no points are created -- even if all the other

lines in the file do include X and Y information. There is an easy workaround, of course (make sure the first line of the file does contain geographic info),

but it would be nicer, I'd say, if the system was able to recognize that there is X and Y data in other lines.

Jeff

#5 - 2015-11-26 11:25 AM - Nyall Dawson

Are you saying the bug is still present in the latest nightly snapshots?

#6 - 2015-11-26 01:29 PM - Jeff Moyen

- File file_that_does_not_works.txt added

- File file_that_works.txt added

- File qgis.jpg added

Sorry for not having been clear.

Using a version downloaded today (= the windows 64b installer from QGIS website, 

QGIS code revision cd9d645)

1) If the file does have a first line with missing coordinates -- ex. file_that_does_not_work.txt, attached. Point features are not created, the file is attached

as a table.

2) If the first line of the file has coordinates (and even if there are missing coords further down, cf. file_that_works.txt), point are created.

In other words, similar files with lines in different ordres do not give the same result...

Jeff
Files

margeride.csv 90.7 KB 2015-11-04 Jeff Moyen

qgis_bugreport_2015.11.04.jpg 185 KB 2015-11-04 Jeff Moyen

file_that_works.txt 55 Bytes 2015-11-26 Jeff Moyen

file_that_does_not_works.txt 55 Bytes 2015-11-26 Jeff Moyen

qgis.jpg 29.8 KB 2015-11-26 Jeff Moyen
